Gallery Platform API
Reference

List traffic sensors

Lists the gallery's physical visitor-traffic sensors with cursor pagination. Filter by `kind`, `location_id`, or `is_active`.

GET
/gallery/traffic/sensors

Lists the gallery's physical visitor-traffic sensors with cursor pagination. Filter by kind, location_id, or is_active.

Authorization

bearerAuth traffic:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: traffic:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
kind?string

Value in

  • "pax_radio"
  • "door_crossing"
  • "zone_occupancy"
  • "artwork_dwell"
location_id?string
is_active?string
sort?"created"

Sort by one of: created (default created).

Value in

  • "created"
dir?string

Sort direction (default desc).

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "kind": "pax_radio",      "label": "string",      "location_id": "string",      "artwork_id": "string",      "device_id": "string",      "calibration": {        "property1": null,        "property2": null      },      "is_active": true,      "livemode": true,      "created_at": "string"    }  ],  "next_cursor": "string"}